Name:           perl-Pod-Coverage
Version:        0.23
Release:        16
Summary:        Checks if the documentation of a perl module is comprehensive
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Pod-Coverage/
Source0:        http://www.cpan.org/authors/id/R/RC/RCLAMP/Pod-Coverage-%{version}.tar.gz
Patch0001:      Pod-Coverage-0.23-Do-not-search-.-lib-by-pod_cover.patch
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(B) perl(base) perl(constant)
BuildRequires:  perl(Data::Dumper) perl(Devel::Symdump) >= 2.01 perl(Exporter) perl(vars)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(lib) perl(Pod::Find) >= 0.21 perl(warnings)
BuildRequires:  perl(Pod::Parser) >= 1.13 perl(strict) perl(Test::More) perl(Test::Pod)

Requires:       perl(Devel::Symdump) >= 2.01 perl(Pod::Find) >= 0.21 perl(Pod::Parser) >= 1.13
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Devel::Symdump\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Pod::Find\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Pod::Parser\\)$

%description
This perl module provides a mechanism for determining if the pod for a
given module is comprehensive.

%package help
Summary:        Help document for the %{name} package

%description    help
Help document for the %{name} package.

%prep
%autosetup -n Pod-Coverage-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes examples
%{_bindir}/pod_cover
%{perl_vendorlib}/Pod/*

%files help
%{_mandir}/man3/*

%changelog
* Thu Jul 22 2021 Jiuyue Ma <majiuyue@huawei.com> - 0.23-16
- fix conflict package file '%{perl_vendorlib}/Pod'

* Sun Dec 1 2019 wangzhishun <wangzhishun1@huawei.com> - 0.23-15
- Package init
